HyperTrackDocs
Places

Create a suggestion for a place

Create a suggestion for a place

POST
/places/v1/{place_handle}/suggestions/

Create a suggestion for a place

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

place_handle*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/places/v1/string/suggestions/" \  -H "Content-Type: application/json" \  -d '{    "geometry": {      "coordinates": [        0      ]    }  }'
{  "suggestion_id": "string",  "geometry": {    "coordinates": [      0    ],    "type": "Point"  },  "radius": 0,  "hex_id": "string",  "applied_by": "string",  "applied_on": "string",  "suggested_by": "string",  "suggested_on": "string",  "order_handle": "string",  "source": "ht_generated",  "type": "manual",  "skew": 0,  "area_ratio": 0,  "centroid_shift": 0,  "inclusivity": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}